For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTCreate Clips
        • GETGet Clip Status
        • DELDelete Clip
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceClip Generation

Create Clips

POST
https://vision-agent.api.reka.ai/v1/clips
POST
/v1/clips
$curl -X POST https://vision-agent.api.reka.ai/v1/clips \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "video_urls": [
> "https://example.com/source-video.mp4"
> ]
>}'
Generate highlight reels from longer videos
Was this page helpful?
Previous

Get Clip Status

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Query parameters

reel_qualityenumOptional
Allowed values:

Request

This endpoint expects an object.
video_urlslist of stringsRequired
List of video URLs to process
promptstring or nullOptionalDefaults to Create an engaging short video highlighting the best moments
Prompt for video generation
generation_configobjectOptional
Grouped generation configuration
rendering_configobjectOptional
Grouped rendering configuration
streambooleanOptionalDefaults to false
Whether to stream the generation process

Response

Successful Response